> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ondo.finance/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Enhanced Prices for All Supported Assets

> This endpoint retrieves the latest prices along with the price change and percentage change in the last 24 hours of open market for all supported assets. Assets can be sorted by price in either ascending or descending order.

Prices are intended for display only. For real-time trading prices, use the [Soft Attestation Quote](https://docs.ondo.finance/api-reference/attestations/request-a-soft-attestation-quote) API. We do not recommend using the price feeds as an oracle for these assets. An official oracle is in development and will be documented when available. For questions, contact [support@ondo.finance](mailto:support@ondo.finance).

For caching details on this endpoint, please see: [Endpoint Caching](https://docs.ondo.finance/api-reference/endpoint-caching).




## OpenAPI

````yaml /gm-be-api-spec.json get /v1/assets/all/prices/latest/enhanced
openapi: 3.0.4
info:
  title: GM Backend API
  description: An API spec for the Ondo GM Backend API.
  version: 1.0.0
servers:
  - url: https://api.gm.ondo.finance
    description: GM Backend API
security: []
tags:
  - name: Attestations
    description: Get Mint and Redeem Attestations
  - name: Assets
    description: Get Asset Price Information
  - name: Tickers
    description: Get Ticker Information
  - name: Chains
    description: Get On Chain Data
  - name: Limits
    description: Get Trading Limits
  - name: Status
    description: Get Market and Trading Statuses
paths:
  /v1/assets/all/prices/latest/enhanced:
    get:
      tags:
        - Assets
      summary: Get Enhanced Prices for All Supported Assets
      description: >
        This endpoint retrieves the latest prices along with the price change
        and percentage change in the last 24 hours of open market for all
        supported assets. Assets can be sorted by price in either ascending or
        descending order.


        Prices are intended for display only. For real-time trading prices, use
        the [Soft Attestation
        Quote](https://docs.ondo.finance/api-reference/attestations/request-a-soft-attestation-quote)
        API. We do not recommend using the price feeds as an oracle for these
        assets. An official oracle is in development and will be documented when
        available. For questions, contact
        [support@ondo.finance](mailto:support@ondo.finance).


        For caching details on this endpoint, please see: [Endpoint
        Caching](https://docs.ondo.finance/api-reference/endpoint-caching).
      operationId: getAllAssetEnhancedPrices
      parameters:
        - name: sort
          in: query
          description: The sort direction for prices.
          required: false
          schema:
            type: string
            enum:
              - desc
              - asc
            default: desc
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AssetEnhancedPrice'
              example:
                - symbol: NFLXon
                  price: '860.66471'
                  priceChange24h: '26.80883'
                  priceChangePct24h: '3.215043587628116264'
                  timestamp: 1769190970623
                - symbol: QQQon
                  price: '533.707886795396811068'
                  priceChange24h: '0.175407218134272389'
                  priceChangePct24h: '0.032876577312266724'
                  timestamp: 1769190970623
                - ...
        '400':
          description: >-
            One of the request parameters is invalid. Please see the returned
            message and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    code: INVALID_SYMBOL
                    message: >-
                      invalid symbol; must be at least 3 characters long and end
                      with 'on'
                    documentation: https://docs.ondo.finance/api-reference/error-codes
        '401':
          description: Missing or invalid API key.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: missing API key
                    code: MISSING_API_KEY
        '500':
          description: >-
            An internal server error occurred. Please see the returned message
            and documentation for details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
              examples:
                error:
                  value:
                    message: >-
                      An internal server error occurred. Please see the returned
                      message and documentation for details.
                    code: INTERNAL_ERROR
      security:
        - apiKey: []
components:
  schemas:
    AssetEnhancedPrice:
      type: object
      properties:
        symbol:
          type: string
          description: The GM symbol of the asset.
          example: NFLXon
        price:
          type: string
          description: >-
            The token price, represented as a string-encoded decimal with up to
            18 digits after the decimal point.
          example: '836.26176'
        priceChange24h:
          type: string
          description: The price change in the last 24 hours of open market.
          example: '-19.22815'
        priceChangePct24h:
          type: string
          description: >-
            The percentage change in price over the last 24 hours of open
            market.
          example: '-2.247618560457364132'
        timestamp:
          type: number
          description: The Unix timestamp in milliseconds when the data was last updated.
          example: 1769125830623
      required:
        - symbol
        - price
        - priceChange24h
        - priceChangePct24h
        - timestamp
    ErrorResponse:
      type: object
      properties:
        message:
          type: string
          description: A human-readable message providing more details about the error.
        documentation:
          type: string
          description: A URL to the relevant documentation for this error.
        code:
          type: string
          description: >-
            A reason code identifying the specific type of error. See the Error
            Codes reference for a full list of possible values.
      required:
        - code
        - message
  securitySchemes:
    apiKey:
      type: apiKey
      name: x-api-key
      in: header

````